Identity, people & notifications

Get Employee Sync Job Status

Returns one employee sync run with computed progress percentage and completion flag.

GEThttps://api.toku.com/platform/get-employee-sync-job-status

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/platform/get-employee-sync-job-status?syncHistoryId=%3CsyncHistoryId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "id": "string",
  "orgID": "string",
  "syncRunId": "string",
  "syncType": "string",
  "syncSource": "string",
  "totalRecords": 0,
  "filteredRecords": 0,
  "processedRecords": 0,
  "createdRecords": 0,
  "updatedRecords": 0,
  "failedRecords": 0,
  "startedAt": "string",
  "completedAt": "string",
  "durationMs": 0,
  "status": "string",
  "errors": {
    "message": "string",
    "messages": [
      "string"
    ],
    "pendingCredentialRequests": [
      {
        "requestID": "string",
        "userID": "string",
        "roleInOrgID": "string",
        "destination": "string",
        "status": "REQUESTED",
        "notificationFailed": true
      }
    ]
  },
  "triggerJobId": "string",
  "isComplete": true,
  "progress": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

syncHistoryIdstringrequired

Response

200Successful response
idstringrequired
orgIDstringrequired
syncRunIdstringrequired
syncTypestringrequired
syncSourcestringrequired
totalRecordsintegerrequired
filteredRecordsintegerrequired
processedRecordsintegerrequired
createdRecordsintegerrequired
updatedRecordsintegerrequired
failedRecordsintegerrequired
startedAtstringrequired
completedAtstring | nullrequired
durationMsinteger | nullrequired
statusstringrequired
errorsobject | nullrequired
Show child attributes
messagestring
messagesstring[]
pendingCredentialRequestsobject[]
Show child attributes
requestIDstring | nullrequired
userIDstringrequired
roleInOrgIDstringrequired
destinationstringrequired
statusstringrequired

Available options: REQUESTED, ADMIN_REQUEST_REQUIRED

notificationFailedboolean
triggerJobIdstring | nullrequired
isCompletebooleanrequired
progressnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits